Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--packages/org.eclipse.epp.package.cpp.product/p2.inf10
1 files changed, 10 insertions, 0 deletions
diff --git a/packages/org.eclipse.epp.package.cpp.product/p2.inf b/packages/org.eclipse.epp.package.cpp.product/p2.inf
index 9d37267a..ce4443f0 100644
--- a/packages/org.eclipse.epp.package.cpp.product/p2.inf
+++ b/packages/org.eclipse.epp.package.cpp.product/p2.inf
@@ -23,3 +23,13 @@ update.id = epp.package.cpp
update.range = [4.6.0.20160301-1200, $version$)
update.severity = 0
update.description = Eclipse package upgrade from versions before Eclipse Neon (4.6) is not possible. See bug 332989.
+
+# add requirement on a.jre.javase
+requires.0.namespace=org.eclipse.equinox.p2.iu
+requires.0.name=a.jre.javase
+requires.0.version=9.0.0
+
+# add requirement on config.a.jre.javase
+requires.1.namespace=org.eclipse.equinox.p2.iu
+requires.1.name=config.a.jre.javase
+requires.1.version=9.0.0

Back to the top